﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    /// <summary>
    /// Ranged Magical Weapon.
    /// </summary>

    /**
    * This class represents a magic based weapon.
    * It implements the Weapon interface.
    */
    class Fireblast : Weapon
    {
        public int modStr { get; }
        public int modInt { get; }
        public int modSkill { get; }
        public string name { get; }
        public int[] range { get; }

        /**
        Constructs a Fireblast weapon with stats: 1str, 3skill, 7int, and a range of 1-2 with name Fireblast tome
        */
        public Fireblast()
        {
            modStr = 1;
            modSkill = 3;
            modInt = 7;
            range = new int[2] { 1, 2 };
            name = "Fireblast Tome";
        }
    }
}



